Page MenuHomeFreeBSD

sysutils/py-qmk: Upgrade to 1.0.0
ClosedPublic

Authored by uqs on Dec 25 2021, 4:40 PM.

Details

Summary

Drop the dependency on the outdated arm-none-eabi-gcc v8.4 and use v10.2
instead from gcc-arm-embedded.

This is required to support e.g. Teensy 4.1

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

uqs requested review of this revision.Dec 25 2021, 4:40 PM

Please review. I'm not too happy with the need to set PATH, but I can leave that part out of the patch.

0mp requested changes to this revision.Jan 20 2022, 10:11 PM

Thanks for the patch!

i've not tested it yet. Also, we need to check if the version requirements for the Python dependencies changed.

sysutils/py-qmk/Makefile
36

This is an interesting hack. It would be good to include a comment why we need to do it this way.

sysutils/py-qmk/files/pkg-message.in
18 ↗(On Diff #100565)

Usually, we try to avoid "you" in documentation.

Also, should it say "avr-gcc" or "gcc-arm-embedded"?

21 ↗(On Diff #100565)
  1. Indent with 4 spaces for consistency.
  2. I'd just show it as a command-line example where you set the PATH for the qmk process alone. I'm sure this is descriptive enough for QMK users on FreeBSD to know what to do.
  3. Isn't it a problem that the gcc-arm-embedded directory contains something that looks like a version number (10-2020-q4)? This is going to be super annoying if someone hardcodes it into their .bashrc for example.
23 ↗(On Diff #100565)

I'd remove this alternative example completely for simplicity

This revision now requires changes to proceed.Jan 20 2022, 10:11 PM

Also, we may consider moving the real qmk program to libexec and putting a script wrapper to bin. This way we can set the PATH for the user.

uqs marked 3 inline comments as done.

Undo the upgrade to a newer GCC

sysutils/py-qmk/files/pkg-message.in
18 ↗(On Diff #100565)

I undid all of that and will punt the decision on how it has to look to the maintainers of devel/arm-none-eabi-gcc

At least it makes for a less toilsome setup, and practically no one needs modern teensy support in QMK anyway.

This revision was not accepted when it landed; it landed in state Needs Review.Feb 16 2022, 10:19 AM
This revision was automatically updated to reflect the committed changes.